<?php
namespace App\Entity;

use Doctrine\ORM\Mapping\Entity;
use Doctrine\ORM\Mapping\JoinColumn;
use Doctrine\ORM\Mapping\OneToOne;

#[Entity]
class Dungeon extends Thing
{

    #[OneToOne(inversedBy: 'dungeon')]
    #[JoinColumn(onDelete: 'cascade', nullable: false)]
    public City $city;

    public function getCity(): ?City
    {
        return $this->city;
    }

    public function setCity(City $city): static
    {
        $this->city = $city;

        return $this;
    }
}

