<?php
namespace App\Security;

use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\Security\Http\AccessToken\AccessTokenExtractorInterface;

class CustomTokenExtractor implements AccessTokenExtractorInterface
{

    public function __construct()
    {}

    public function extractAccessToken(Request $request): ?string
    {
        if ($request->headers->has('X-AUTH-TOKEN')) {
            return $request->headers->get('X-AUTH-TOKEN');
        }
        return NULL;
    }
}

